gl_font.h File Reference
/cmap

Basic OpenGL font rendering. More...

Go to the source code of this file.

## Macros

#define | ATTR_FORMAT(a, b, c) __attribute__((format(a,b,c)))
#define | GLF_FLG_LCD (1 << 0)

## Enumerations

enum | glf_align { GLF_LEFT , GLF_RIGHT , GLF_TOP , GLF_BOTTOM , GLF_CENTER }

## Functions

struct gl_font * | glf_alloc (int height, int flags)
void | glf_free (struct gl_font *glf)
int | glf_load_face_file (struct gl_font *glf, const char *filename)
int | glf_load_face_mem (struct gl_font *glf, const void *data, size_t len)
float | glf_width_str (const struct gl_font *glf, const char *str)
void | glf_draw_str (const struct gl_font *glf, float x, enum glf_align x_align, float y, enum glf_align y_align, const char *str)
void | glf_printf (const struct gl_font *glf, float x, enum glf_align x_align, float y, enum glf_align y_align, const char *fmt,...) ATTR_FORMAT(printf
void void | glf_begin (const struct gl_font *glf, float fg_color[3])
void | glf_end (void)

## Detailed Description

Basic OpenGL font rendering.